Skip to main content

Clean Room Auto Approval Rule

View as Markdown

CleanRoomAutoApprovalRule object

clean_room_namestring

The name of the clean room this auto-approval rule belongs to.

rule_idstring

A generated UUID identifying the rule.

rule_owner_collaborator_aliasstring

The owner of the rule to whom the rule applies.

author_collaborator_aliasstring

Collaborator alias of the author covered by the rule. Only one of author_collaborator_alias and author_scope can be set.

author_scopestring

Scope of authors covered by the rule. Only one of author_collaborator_alias and author_scope can be set.

Values: AUTHOR_SCOPE_UNSPECIFIED, ANY_AUTHOR

runner_collaborator_aliasstring

Collaborator alias of the runner covered by the rule.

created_atint64

Timestamp of when the rule was created, in epoch milliseconds.

Get

GET /api/2.0/clean-rooms/{clean_room_name}/auto-approval-rules/{rule_id}

Get a auto-approval rule by rule ID

API scopes: cleanrooms

Parameters

clean_room_namestringpath
rule_idstringpath

Response

Returns the CleanRoomAutoApprovalRule object.

List

GET /api/2.0/clean-rooms/{clean_room_name}/auto-approval-rules

List all auto-approval rules for the caller

API scopes: cleanrooms

Parameters

clean_room_namestringpath
page_sizeint32query

Maximum number of auto-approval rules to return. Defaults to 100.

page_tokenstringquery

Opaque pagination token to go to next page based on previous query.

Response

Returns a list of CleanRoomAutoApprovalRule objects.

Create

POST /api/2.0/clean-rooms/{auto_approval_rule.clean_room_name}/auto-approval-rules

Create an auto-approval rule

API scopes: cleanrooms

Parameters

auto_approval_ruleobjectpath
Show child attributesHide child attributes
clean_room_namestring

The name of the clean room this auto-approval rule belongs to.

rule_idstring

A generated UUID identifying the rule.

rule_owner_collaborator_aliasstring

The owner of the rule to whom the rule applies.

author_collaborator_aliasstringRequired

Collaborator alias of the author covered by the rule. Only one of author_collaborator_alias and author_scope can be set.

author_scopestringRequired

Scope of authors covered by the rule. Only one of author_collaborator_alias and author_scope can be set.

Values: AUTHOR_SCOPE_UNSPECIFIED, ANY_AUTHOR

runner_collaborator_aliasstringRequired

Collaborator alias of the runner covered by the rule.

created_atint64

Timestamp of when the rule was created, in epoch milliseconds.

Response

Returns the CleanRoomAutoApprovalRule object.

Update

PATCH /api/2.0/clean-rooms/{auto_approval_rule.clean_room_name}/auto-approval-rules/{auto_approval_rule.rule_id}

Update a auto-approval rule by rule ID

API scopes: cleanrooms

Parameters

auto_approval_ruleobjectpath

The auto-approval rule to update. The rule_id field is used to identify the rule to update.

Show child attributesHide child attributes
clean_room_namestring

The name of the clean room this auto-approval rule belongs to.

rule_idstring

A generated UUID identifying the rule.

rule_owner_collaborator_aliasstring

The owner of the rule to whom the rule applies.

author_collaborator_aliasstringRequired

Collaborator alias of the author covered by the rule. Only one of author_collaborator_alias and author_scope can be set.

author_scopestringRequired

Scope of authors covered by the rule. Only one of author_collaborator_alias and author_scope can be set.

Values: AUTHOR_SCOPE_UNSPECIFIED, ANY_AUTHOR

runner_collaborator_aliasstringRequired

Collaborator alias of the runner covered by the rule.

created_atint64

Timestamp of when the rule was created, in epoch milliseconds.

Response

Returns the CleanRoomAutoApprovalRule object.

Delete

DELETE /api/2.0/clean-rooms/{clean_room_name}/auto-approval-rules/{rule_id}

Delete a auto-approval rule by rule ID

API scopes: cleanrooms

Parameters

clean_room_namestringpath
rule_idstringpath